MacCommandLauncher (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.launcher, class: MacCommandLauncher

Package org.apache.tools.ant.taskdefs.launcher

# Class MacCommandLauncher

java.lang.Object
org.apache.tools.ant.taskdefs.launcher.CommandLauncher
org.apache.tools.ant.taskdefs.launcher.CommandLauncherProxy
org.apache.tools.ant.taskdefs.launcher.MacCommandLauncher

public class MacCommandLauncher extends CommandLauncherProxy
A command launcher for Mac that uses a dodgy mechanism to change working directory before launching commands.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

  `FILE_UTILS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MacCommandLauncher(CommandLauncher launcher)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Process`
  `exec(Project project, String[] cmd, String[] env, File workingDir)`
  Launches the given command in a new process, in the given working directory.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncherProxy

  `exec`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

  `getShellLauncher, getVMLauncher, setShellLauncher, setVMLauncher`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MacCommandLauncher

    public MacCommandLauncher(CommandLauncher launcher)

- ## Method Details

  - ### exec

    public Process exec(Project project, String[] cmd, String[] env, File workingDir) throws IOException
    Launches the given command in a new process, in the given working directory.
    Overrides:
      `exec` in class `CommandLauncher`
    Parameters:
      `project` - the Ant project.
      `cmd` - the command line to execute as an array of strings.
      `env` - the environment to set as an array of strings.
      `workingDir` - working directory where the command should run.
    Returns:
      the created Process.
    Throws:
      `IOException` - forwarded from the exec method of the command launcher.